interface ActorDto {
    dateOfBirth: string | null;
    firstName: string;
    id: number | null;
    lastName: string;
}

interface MovieActorCountDto {
    actors: number;
    movieName: string;
}

interface MovieSummary {
    id: number | null;
    name: string;
    producerName: string;
    releaseDate: string;
}

interface MovieWithActorDto {
    actors: ActorDto[];
    id: number | null;
    name: string;
    producerName: string;
    releaseDate: string;
}

interface MovieWithProducingActorDto {
    movieName: string;
    producerActorName: string;
}